org.icefaces.ace.model.tree

## Class NodeState

- java.lang.Object
- - org.icefaces.ace.model.tree.NodeState

- All Implemented Interfaces:
    java.io.Serializable

      public class NodeState
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static NodeState` | `ROOT_STATE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodeState()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isExpanded()`
    `boolean` | `isExpansionEnabled()`
    `boolean` | `isSelected()`
    `boolean` | `isSelectionEnabled()`
    `void` | `setExpanded(boolean expanded)`
    `void` | `setExpansionEnabled(boolean expansionEnabled)`
    `void` | `setSelected(boolean selected)`
    `void` | `setSelectionEnabled(boolean selectionEnabled)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ROOT_STATE

          public static final NodeState ROOT_STATE

  - ### Constructor Detail

    - #### NodeState

          public NodeState()

  - ### Method Detail

    - #### isSelectionEnabled

          public boolean isSelectionEnabled()

    - #### setSelectionEnabled

          public void setSelectionEnabled(boolean selectionEnabled)

    - #### isExpansionEnabled

          public boolean isExpansionEnabled()

    - #### setExpansionEnabled

          public void setExpansionEnabled(boolean expansionEnabled)

    - #### isSelected

          public boolean isSelected()

    - #### setSelected

          public void setSelected(boolean selected)

    - #### isExpanded

          public boolean isExpanded()

    - #### setExpanded

          public void setExpanded(boolean expanded)

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.